Bug 68247 - Fontwork samples have English feature name hardcoded on them
Summary: Fontwork samples have English feature name hardcoded on them
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
4.1.1.1 rc
Hardware: Other All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Not-Localizable
  Show dependency treegraph
 
Reported: 2013-08-18 21:29 UTC by Martin Srebotnjak
Modified: 2017-12-01 10:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
fontowork gallery screenshot (65.47 KB, image/png)
2013-09-02 07:50 UTC, tommy27
Details
A sample showing Fontwork title changed to something else (126.38 KB, image/png)
2015-07-27 15:48 UTC, Martin Srebotnjak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2013-08-18 21:29:10 UTC
When opening Fontword in localized UI of LibreOffice the word "Fontwork" is used to display predefined samples of design, instead of using the localized word for "Fontwork" (in Slovenian "Stavec").
Comment 1 tommy27 2013-09-01 20:20:06 UTC
in which menu "fontwork" appears? please tell me in english since I do not understand slovenian
Comment 2 Martin Srebotnjak 2013-09-01 20:44:10 UTC
It does not appear in a menu, it is accessible from the "Drawing" toolbar in LibreOffice, here are the instructions from the official online LO help:
https://help.libreoffice.org/Common/Fontwork_For_Graphical_Text_Art
On that page you can probably find same help page localized in your language.
Comment 3 tommy27 2013-09-01 21:20:52 UTC
found it "View / Toolbars / Fontwork" in 4.1.1 under Win7 64bit

In my italian localization "Fontwork" is not translated as well as in the slovenian version.

I wonder if it's not translated also in other languages... maybe it's considered an international term.

changing status to NEW and asking advise from localization expert added to CC list.
Comment 4 Martin Srebotnjak 2013-09-01 21:43:42 UTC
It depends how each localization team localized this term. If Italian team left it "Fontwork" in Italian, then it is right that the sample text in Fontwork in Italian version is "Fontwork". Slovenian team localized it as "Stavec", so I (and probably all Slovenian users) expect that sample text in Slovenian LO should appear as "Stavec" and not "Fontwork", because no one would know what it means.

From what I can see in Pootle, the French team did not localize term "Fontwork", but the Turkish and Hungarian team did. But so did probably those teams that use different alphabets, at least transcribe it into their alphabet. From my point of view the sample text should adapt to the official translation/transliteration of "Fonwork" into UI-language.
Comment 5 tommy27 2013-09-02 06:18:43 UTC
(In reply to comment #4)
> It depends how each localization team localized this term. If Italian team
> left it "Fontwork" in Italian, then it is right that the sample text in
> Fontwork in Italian version is "Fontwork". Slovenian team localized it as
> "Stavec", so I (and probably all Slovenian users) expect that sample text in
> Slovenian LO should appear as "Stavec" and not "Fontwork", because no one
> would know what it means.
> 
> .... snip ....

so basically you say that in the slovenian localization "fontwork" is translated in some places and not translated in other leading to inconsistency, right?
Comment 6 Martin Srebotnjak 2013-09-02 07:05:24 UTC
No, I am saying that in Slovenian Fontwork (like I guess in Hungarian, Turkish etc.) is everywhere translated in po files (in Slovenian into "Stavec").

But when one uses Fontwork, the Fontwork applies a default effect onto default text, and that default text in LO is "Fontwork". That occurence of word "Fontwork" cannot be localized (it is not part of pot/po files) and I am proposing this as a bug - to make this sample text string "Fontwork" localizable.

I hope I have been clear now.
Comment 7 tommy27 2013-09-02 07:50:23 UTC
Created attachment 85044 [details]
fontowork gallery screenshot

do you mean this? see attached image.
Comment 8 Andras Timar 2013-09-12 07:50:07 UTC
These are pre-drawn images from extras/source/gallery/gallery_system/sg36.*

It would require a significant amount of coding to draw these preview images runtime respecting the UI language.
Comment 9 tommy27 2013-09-12 07:53:35 UTC
@Andras Timar

You should create multiple version of pre-drawn shapes each one with it's localized name... IMHO is not worth it. I propose to set status to WONTFIX
Comment 10 Martin Srebotnjak 2013-09-12 08:01:52 UTC
I would be happy to localize predrawn images, so each language that wants it can have it. Since not all languages have localized the name of Fontwork, this means it could be used by a quarter of supported languages. This would not make the packages much bigger, I guess. Why not allow localization?

Of course, if even this kind of implementation requires a lot of work, I understand. But I do not see it appropriate as WONTFIX. It is a bug. And it isn't a totally bogus one.
Comment 11 tommy27 2013-09-12 08:02:27 UTC
edited sumamry
Comment 12 tommy27 2013-09-12 11:05:40 UTC
(In reply to comment #10)
> I would be happy to localize predrawn images, so each language that wants it
> can have it. 
> ... cut ...
>But I do not see it appropriate as WONTFIX. It is a bug. And it
> isn't a totally bogus one.

if you volunteer to localize those shapes I guess that there will no problem.
Comment 13 Martin Srebotnjak 2013-09-13 10:05:00 UTC
If I knew how to do this (edit those files) I would have done it already.
Comment 14 Adolfo Jayme 2013-10-27 01:15:38 UTC
As these previews are all images with hardcoded “Fontwork” on them, then why don’t we change them so that they use a generic string such as “AaBbGg123”*? That way, it would be name-agnostic.

---
* … and maybe we can add another set of images for Cyrillic languages (“АаБбГг123”) and Greek (“ΑαΒβΓγ123”) if you think it’s worth doing — I think so.
Comment 15 Martin Srebotnjak 2014-05-24 09:29:59 UTC
Or maybe we should replace "Fontwork" with "Abc123" for all languages? I know this does not work well for non-latin scripts, but at least it is a step forward.
Comment 16 sophie 2014-05-24 12:28:14 UTC
(In reply to comment #15)
> Or maybe we should replace "Fontwork" with "Abc123" for all languages? I
> know this does not work well for non-latin scripts, but at least it is a
> step forward.

I agree that this name should be changed to something available for all languages, I like your Abc123 prosal too :) Sophie
Comment 17 Martin Srebotnjak 2014-11-18 23:47:32 UTC
I have a further proposal: why not display word "LibreOffice" in Fontwork? That should be ok for all.
Comment 18 Adolfo Jayme 2015-01-28 05:01:48 UTC
(In reply to miles from comment #17)
> I have a further proposal: why not display word "LibreOffice" in Fontwork?

Not a fan of hardcoding the product name there. I still prefer what I suggested before: AaΒβГг123. (Now I’m combining the three script systems.)

If I find a little time later, I can take this.
Comment 19 tommy27 2015-01-28 05:16:01 UTC
what about a "Lorem Ipsum" dummy text?
Comment 20 Rimas Kudelis 2015-01-28 05:36:26 UTC
Interestingly, a similar problem was already resolved for themes.
E.g. icon-themes/galaxy/cmd/ contains a bunch of subfolders with localized Bold, Italic and Underline buttons. Perhaps the same principle could be applied here?
Comment 21 Martin Srebotnjak 2015-07-27 15:47:19 UTC
I tried manually adding a fontwork from gallery and changed the wording to LibreOffice and it does look better to me when LibreOffice is used instead of "lorem ipsum" or "AaΒβГг123". One of the points in using it is to make a name, a brand, something important even more fancy (although this is more like design of the first half of the nineties).
I am attaching a screenshot using one of the bundled fontwork shapes with all three proposals.
How does one actually edit that gallery file to change the title in it?
Comment 22 Martin Srebotnjak 2015-07-27 15:48:09 UTC
Created attachment 117471 [details]
A sample showing Fontwork title changed to something else
Comment 23 tommy27 2015-07-27 17:53:50 UTC
LibreOffice is much better than anything else.